%main.m  -Andy Ruina  Feb 6, 2019
%Driver for ODE solns

clear  % A good habit to put this at the top.  Helps debugging. 

% This calls an ODE solver which calls a rhs function
% General Setup
p.m  = 1;  p.k = 1;                  %  Parameters: mass and stiffness
tend = 30;                           %  Ending time "t end"
npointspers = 10;                    %  number of h intervals per time unit
ntimes      = tend * npointspers + 1; %  total number of time points
tarray = linspace(0, tend, ntimes);   %  All of the times soln is output

% Normal modes:  x0= [ 1 1]'   and x0 = [1 -1]', released from rest
x0 = [1 0]'; v0 = [0 0]';     % Inititial conditions (ICs)
z0 = [x0;v0];       % ICs, packed into a column vector

% Next  line gets the solution to the ODES
% Choice of two methods, Euler or Midpoint (2nd order RK)
%[tarray zarray]  = myEulerSolver%(@my2DoFrhs, tarray, z0, p);
[tarray zarray]   = myMidpointSolver (@my2DoFrhs, tarray, z0, p);

t= tarray;
x1 = zarray(:,1); x2 = zarray(:,2);   % Extract the two columns of zarray
plot (t,x1,t,x2); shg                 % Plot x1 vs t and x2 vs t
ylabel('$x_1, x_2$','interpreter','latex'); %Nice looking math
xlabel('$t$','Interpreter','latex'); 
title(['Two mass system. -A. Ruina   ' datestr(now)])

