function zdot = my2DoFrhs(t,z,p)
%The differential equation, the Right Hand Side (rhs)
% Two equal masses between three springs:
%    wall-spring-mass-spring-mass-spring-wall.
m= p.m; k = p.k; 
x = z(1:2); v= z(3:4);   % Unpack z into understandable variables
%x is x1 and x2.  v is v1 and v2.

K= k*[ 2 -1     %The stiffness matrix. 
      -1  2];

% Tne next two lines are the ODEs, written with sensible variables
  xdot = v;            % Basic kinematics
  vdot = -(1/m)*K*x;   % Spring force causes acceleration
  
zdot = [xdot;vdot];  % Pack zdot into a 4 element column vector
end %function

