function zdot = myrhs(t,z,p)
% The differential equation, the Right Hand Side (rhs)
% Forced, damped harmonic oscillator with gravity
m= p.m; k = p.k;  c = p.c;  omegaf = p.omegaf; g = p.g; L0= p.L0;
delta = p.delta;
x = z(1); v= z(2);   % Unpack z into understandable variables

% Tne next two lines are the ODEs, written with sensible variables
  xdot = v;            % Basic kinematics
  vdot = (1/m)*(k*(-x+L0+ delta* sin(omegaf*t) )-c*v +m*g);   % Spring force causes acceleration
  
zdot = [xdot;vdot];  % Pack zdot into a column vector
end %function

